summaryrefslogtreecommitdiff
path: root/test/main
diff options
context:
space:
mode:
authorDaniel Friesel <derf@derf.homelinux.org>2009-04-12 12:51:19 +0200
committerDaniel Friesel <derf@derf.homelinux.org>2009-04-12 12:51:19 +0200
commit48c2c8c2689bf6420d7309c62d319a9428c8b31a (patch)
treeafc5c34837606385c6d8ebd3f6560feefdf64c1f /test/main
parente503c38d5aa39b4a40ab2584bb84c536dee02954 (diff)
test/main: Set ZERR trap for more information why the test failed
Diffstat (limited to 'test/main')
-rwxr-xr-xtest/main2
1 files changed, 2 insertions, 0 deletions
diff --git a/test/main b/test/main
index ada8709..29957e0 100755
--- a/test/main
+++ b/test/main
@@ -1,6 +1,8 @@
#!/usr/bin/env zsh
setopt err_exit
+trap "print -P '\n%N:%i: %B%F{red}Test faild!%F{default}%b'" ZERR
+
function stringcmp {
diff -u <(echo $1) <(echo $2)
}